Support » Plugin: Easy Social Share Buttons » Warning: http_build_query() expects at most 3 parameters, 4 given

  • Resolved FeralReason

    (@feralreason)


    I’ve installed Easy Social Share Buttons on a localhost site running on XAMPP and added this PHP snippet:
    <?php echo do_shortcode( '[ess_post]' ); ?>
    to my content.single.php, right after the entry-title line, so the buttons would show right after the title on any blog post.

    However, showing any blog post shows these messages:
    “Warning: http_build_query() expects at most 3 parameters, 4 given in C:\xampp\_clients\gcfnew2\wp-content\plugins\easy-social-share-buttons\includes\class-easy-social-share-buttons.php on line 490” (Warning also shows for line 505.)

    This (with the buttons) is repeated twice.

    Any idea why I’m seeing this?

    Thanks!

Viewing 1 replies (of 1 total)
  • Thread Starter FeralReason

    (@feralreason)

    OK – may have pulled this trigger too quick. I see that this function: http_build_query(), added a 4th parameter in PHP version 5.4. My localhost XAMPP is running an earlier PHP version.

    So running on PHP 5.4 appears to be a minimum requirement for ESSB.

Viewing 1 replies (of 1 total)
  • The topic ‘Warning: http_build_query() expects at most 3 parameters, 4 given’ is closed to new replies.